<template>
  <div @click="close" class="overlay">
    <div class="error-block">Что-то  пошло не так<br>
      <span style="font-size:18px;">Повторите попытку позже.</span></div>
    <button @click="close">Повторить</button>
  </div>
</template>

<script>
  import * as types from '@/store/mutation-types'

  export default {
    name: 'ErrorOverlay',
    props: ['errors'],
    methods: {
      close () {
        this.$store.commit(types.UNSET_ERRORS)
        this.$store.commit('BUTTON_LOADING', false)
      }
    }
  }
</script>

<style scoped>
  .overlay {
    color: white;
    font-size: 36px;
    font-weight: 800;
    text-align: center;
    position: fixed;
    background: #0c0c0c;
    opacity: 0.85;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 99999999999;
    padding-top: 20%;
  }
</style>
